<?php

    if (!ini_get('display_startup_errors')) {
        ini_set('display_startup_errors', 1);
    }
    if (!ini_get('display_errors')) {
        ini_set('display_errors', 1);
    }

    function dd($data, $type = '', $die = true)
    {
        echo '<pre class="alert alert-secondary">';
        if ($type == 'vd') {
            var_dump($data);
        } else {
            print_r($data);
        }
        echo '</pre>';

        if ($die) {
            exit;
        }
    }


    require_once '../AlfaMiller/SendEmail.php';


    $apiKey = 'D2336...............26AC'; // Replace with your actual API key.

    try {

        $sendemailObj = new SendEmail($apiKey);
        //dd($sendemailObj);

        $sendemailObj->setToEmail('write here recipient email address of this email message');
        $sendemailObj->setFromEmail('write here sender email address of this email message');
        $sendemailObj->setSubject('AlfaMiller Mail Test -- ' . date('d-m-Y H:i:s'));
        $sendemailObj->setTextBody('This is a test email sent via AlfaMiller API.');
        $sendemailObj->setHtmlBody('This is a test email sent <br>via AlfaMiller API.');
        $sendemailObj->setFromName('AlfaMiller Testing');
        //$sendemailObj->setCcEmail('write here if there is any cc email address');
        //$sendemailObj->setBccEmail("'write here if there is any vcc email address'");
        //dd($sendemailObj);

        //add attachment file.
        //$sendemailObj->setAttachments([['filename' => 'test.txt', 'contentType' => 'plain/text', 'content' => file_get_contents('attachments/attachment-test-01.txt')]]);

        $result = $sendemailObj->sendEmail();

    } catch (Exception $e) {
        $result           = new stdClass();
        $result->res      = 0;
        $result->errorMsg = 'email sending failed. error: ' . $e->getMessage();
    }

    //debug print result object
    dd(['apiResponse' => $result]);